import { Injectable } from '@nestjs/common';
import { IndexHolidayCalendarManager } from './managers/index-holiday-google-calendar.manager';

@Injectable()
export class GoogleCalendarOrchestrator {
  constructor(private indexHoliday: IndexHolidayCalendarManager) {}

  async holiday(params) {
    return await this.indexHoliday.execute(params);
  }
}
